/*
	NSScreen.h
	Application Kit
	Copyright (c) 1990, 1991, 1992, 1993, 1994 NeXT, Inc.  All rights reserved. 
*/

#import <Foundation/NSObject.h>
#import "NSGraphics.h"

@interface NSScreen : NSObject {
@private
    NSRect _frame;
    NSWindowDepth _depth;
}

+ (NSArray *)screens;		/* All screens; first one is "zero" screen */
+ (NSScreen *)mainScreen;	/* Screen with key window */
+ (NSScreen *)deepestScreen;

- (NSWindowDepth)depth;
- (NSRect)frame;
- (NSDictionary *)deviceDescription;

@end

