/*
	OpenPanel.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSSavePanel.h"
#import <sys/stat.h>


@interface NSOpenPanel : NSSavePanel
{
    void	       *_reservedPtr0;
    char              **filterTypes;
    unsigned int        _reservedOPint1;
    unsigned int        _reservedOPint2;
}


+ (NSOpenPanel *)openPanel;

- allowMultipleFiles:(BOOL)flag;
- chooseDirectories:(BOOL)flag;
- (NSArray *)filenames;
- (int)runModalForDirectory:(NSString *)path file:(NSString *)name types:(NSArray *)fileTypes;
- (int)runModalForTypes:(NSArray *)fileTypes;
- (int)runModalForDirectory:(NSString *)path file:(NSString *)name;

@end
